org.apache.hc.core5.testing.nio

## Class H2TestClient

- java.lang.Object
- - org.apache.hc.core5.testing.nio.AsyncRequester
  - - org.apache.hc.core5.testing.nio.H2TestClient

- All Implemented Interfaces:
    AutoCloseable, ConnectionInitiator

      public class H2TestClient
      extends AsyncRequester

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `H2TestClient()`
    `H2TestClient(IOReactorConfig ioReactorConfig, SSLContext sslContext, SSLSessionInitializer sslSessionInitializer, SSLSessionVerifier sslSessionVerifier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `awaitShutdown(TimeValue waitTime)`
    `void` | `close()`
    `void` | `configure(H2Config h2Config)`
    `void` | `configure(Http1Config http1Config)`
    `void` | `configure(HttpProcessor httpProcessor)`
    `Future<ClientSessionEndpoint>` | `connect(HttpHost host, Timeout timeout)`
    `Future<ClientSessionEndpoint>` | `connect(HttpHost host, Timeout timeout, FutureCallback<ClientSessionEndpoint> callback)`
    `Future<ClientSessionEndpoint>` | `connect(String hostname, int port, Timeout timeout)`
    `protected void` | `execute(IOEventHandlerFactory ioEventHandlerFactory)`
    `IOReactorStatus` | `getStatus()`
    `void` | `initiateShutdown()`
    `void` | `register(String uriPattern, Supplier<AsyncPushConsumer> supplier)`
    `void` | `shutdown(TimeValue graceTime)`
    `void` | `start()`
    `void` | `start(H2Config h2Config)` Deprecated. Use `configure(H2Config)`, `start()`.
    `void` | `start(Http1Config http1Config)` Deprecated. Use `configure(Http1Config)`, `start()`.
    `void` | `start(HttpProcessor httpProcessor, H2Config h2Config)` Deprecated. Use `configure(H2Config)`, `configure(HttpProcessor)`, `start()`.
    `void` | `start(HttpProcessor httpProcessor, Http1Config http1Config)` Deprecated. Use `configure(Http1Config)`, `configure(HttpProcessor)`, `start()`.
    `void` | `start(IOEventHandlerFactory handlerFactory)`

    - ### Methods inherited from class org.apache.hc.core5.testing.nio.AsyncRequester

      `connect, requestSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H2TestClient

          public H2TestClient(IOReactorConfig ioReactorConfig,
                              SSLContext sslContext,
                              SSLSessionInitializer sslSessionInitializer,
                              SSLSessionVerifier sslSessionVerifier)
                       throws IOException

      Throws:
        `IOException`

    - #### H2TestClient

          public H2TestClient()
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### register

          public void register(String uriPattern,
                               Supplier<AsyncPushConsumer> supplier)

    - #### configure

          public void configure(H2Config h2Config)

      Since:
        5.3

    - #### configure

          public void configure(Http1Config http1Config)

      Since:
        5.3

    - #### configure

          public void configure(HttpProcessor httpProcessor)

      Since:
        5.3

    - #### start

          public void start(IOEventHandlerFactory handlerFactory)
                     throws IOException

      Throws:
        `IOException`

    - #### start

          @Deprecated
          public void start(HttpProcessor httpProcessor,
                                        H2Config h2Config)
                                 throws IOException

      Deprecated. Use `configure(H2Config)`, `configure(HttpProcessor)`, `start()`.
      Throws:
        `IOException`

    - #### start

          @Deprecated
          public void start(HttpProcessor httpProcessor,
                                        Http1Config http1Config)
                                 throws IOException

      Deprecated. Use `configure(Http1Config)`, `configure(HttpProcessor)`, `start()`.
      Throws:
        `IOException`

    - #### start

          @Deprecated
          public void start(H2Config h2Config)
                                 throws IOException

      Deprecated. Use `configure(H2Config)`, `start()`.
      Throws:
        `IOException`

    - #### start

          @Deprecated
          public void start(Http1Config http1Config)
                                 throws IOException

      Deprecated. Use `configure(Http1Config)`, `start()`.
      Throws:
        `IOException`

    - #### start

          public void start()
                     throws Exception

      Throws:
        `Exception`

    - #### connect

          public Future<ClientSessionEndpoint> connect(HttpHost host,
                                                       Timeout timeout,
                                                       FutureCallback<ClientSessionEndpoint> callback)

    - #### connect

          public Future<ClientSessionEndpoint> connect(HttpHost host,
                                                       Timeout timeout)

    - #### connect

          public Future<ClientSessionEndpoint> connect(String hostname,
                                                       int port,
                                                       Timeout timeout)

    - #### execute

          protected void execute(IOEventHandlerFactory ioEventHandlerFactory)
                          throws IOException

      Throws:
        `IOException`

    - #### getStatus

          public IOReactorStatus getStatus()

    - #### awaitShutdown

          public void awaitShutdown(TimeValue waitTime)
                             throws InterruptedException

      Throws:
        `InterruptedException`

    - #### initiateShutdown

          public void initiateShutdown()

    - #### shutdown

          public void shutdown(TimeValue graceTime)

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `Exception`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.